Jump to content

Recommended Posts

Hello Everyone,

Smart Blog is a powerful prestashop free blog module. The blog module for Prestashop 1.6 & 1.7 free will help you to create beautiful blog pages on your website. It has a very simple and easy to use interface, so you can start creating your blog pages in minutes. With Smart Blog, you can easily add your blog posts, categories, images, tags and videos to create an amazing blog page for your website. You can also use SmartBlog to track the number of views, comments, and social shares on each post.

prestashop blog module free

Why should you use the Smart Blog?

The Smart Blog is a prestashop free blog module that allows you to create a custom blog without any cost. Theme developers can also bundle this module for free. Many enriched functionalities that you will not get in other modules are available in the Smart Blog module in prestashop 1.7 & 1.6 free.

  • Product promotions
  • Product announcement
  • Product related contents
  • Affiliate Marketing
  • Increase Site Traffics
  • Easily communicate with visitors & customers
  • Boosting sales

What can you do by using the Smart Blog Module?

  • Create a blog page easily.
  • Simple easy to use Blog Editor
  • Use a professional Blog Template.
  • Create posts, add images, and a video gallery.
  • Order post ASC or DSC.
  • Change Blog layout Position.
  • Set Meta title, meta keyword, meta description, etc.
  • Rewrite post URL.
  • Set Friendly URL.
  • Manage All types of Contents.
  • Regenerate Thumbnails.
  • Enable Captcha from settings.
  • Create categories and allow Facebook comments.
  • Schedule a post, add relevant products and posts.
  • Show the number of posts per page.
  • Display image galleries in attractive sliders.
  • Create an RSS Feed for your blog posts.
  • Set comment section approval and guest comment.
  • Set a custom blog URL.
  • Set Multilingual SEO meta-field.
  • You can use it in any PrestaShop Theme.
  • Supports Multi-Store & Multi-language
  • Light weight and Optimised
  • Add Custom CSS
  • Free Updates
  • & much more

 

Smart Blog Key Feature Overview

 

Smart Blog Editor

blog module prestashop 1.7 free

Blog Categories

blog module prestashop

Custom Image Type

prestashop free blog module

blog prestashop free

 

SmartBlog Built-in Template

smartblog demos

smartblog front-end view

Smart Blog Add-Ons

These add-ons will give you more extra functionality on your blog.

 

Smartblog Addons

Installation Requirements

  • PrestaShop version 1.7.x
  • PHP version 7.2 or above

 

With Smart blog module prestashop, you can easily publish your blog and share your thoughts, ideas and experiences with the world. You can also use our powerful PrestaShop free blog building add-ons to create engaging, interactive blogs that help you drive more traffic to your store. So why wait? Start blogging today and see the difference our Smart Blog module make

 

👇👇 DOWNLOAD SMART BLOG

smartblog-4.1.5.zip

 

Live Demo: https://smartblog.classydevs.com/smartblog.html

Documentation

Please don't forget to leave your valuable feedback in the comment box below. 😃

Cheers,

ClassyDevs Team

Edited by ClassyDevs
update zip file (see edit history)

Share this post


Link to post
Share on other sites

  • ClassyDevs changed the title to PrestaShop Blog Module for Free by ClassyDevs.com
  • 1 month later...

Hi,

Trying to install it on Ps 1.6.1.24

[PrestaShop] Fatal error in module file :/home/modules/smartblog/smartblog.php:
Uncaught Error: Call to undefined method smartblog::trans() in /home/modules/smartblog/smartblog.php:47 Stack trace: #0 [internal function]: smartblog->__construct() #1 /home/Core/Foundation/IoC/Core_Foundation_IoC_Container.php(124): ReflectionClass->newInstance() #2 /home/Core/Foundation/IoC/Core_Foundation_IoC_Container.php(157): Core_Foundation_IoC_Container->makeInstanceFromClassName('smartblog', Array) #3 /home/Core/Foundation/IoC/Core_Foundation_IoC_Container.php(170): Core_Foundation_IoC_Container->doMake('smartblog', Array) #4 /home/Adapter/Adapter_ServiceLocator.php(52): Core_Foundation_IoC_Container->make('smartblog') #5 /home/classes/module/Module.php(1142): Adapter_ServiceLocator::get('smartblog') #6 /home/classes/module/Module.php(1107): ModuleCore::coreLoadModule('smartblog')

 

Share this post


Link to post
Share on other sites

  • 2 months later...
On 8/3/2022 at 5:11 PM, P i l o u said:

Hi,

Trying to install it on Ps 1.6.1.24

[PrestaShop] Fatal error in module file :/home/modules/smartblog/smartblog.php:
Uncaught Error: Call to undefined method smartblog::trans() in /home/modules/smartblog/smartblog.php:47 Stack trace: #0 [internal function]: smartblog->__construct() #1 /home/Core/Foundation/IoC/Core_Foundation_IoC_Container.php(124): ReflectionClass->newInstance() #2 /home/Core/Foundation/IoC/Core_Foundation_IoC_Container.php(157): Core_Foundation_IoC_Container->makeInstanceFromClassName('smartblog', Array) #3 /home/Core/Foundation/IoC/Core_Foundation_IoC_Container.php(170): Core_Foundation_IoC_Container->doMake('smartblog', Array) #4 /home/Adapter/Adapter_ServiceLocator.php(52): Core_Foundation_IoC_Container->make('smartblog') #5 /home/classes/module/Module.php(1142): Adapter_ServiceLocator::get('smartblog') #6 /home/classes/module/Module.php(1107): ModuleCore::coreLoadModule('smartblog')

 

Hi,

Our smatblog free version only work in Ps 1.7.x

If you use smartblog pro 1.6.x version please contact with our support team. 

Regards,

ClassyDevs Team

Edited by ClassyDevs (see edit history)

Share this post


Link to post
Share on other sites

  • 3 weeks later...

Please note that this guys are scammers, it has nothing to do with the real elementor plugin for wordpress. 

It ruins your layout as it will only work with the default theme and if you ask for a refund they never give it back because its not a theme issue. So if you have any theme from thforest it will not work.

Share this post


Link to post
Share on other sites

22 hours ago, AlinLeonard said:

Please note that this guys are scammers, it has nothing to do with the real elementor plugin for wordpress. 

It ruins your layout as it will only work with the default theme and if you ask for a refund they never give it back because its not a theme issue. So if you have any theme from thforest it will not work.

Did you open a support ticket? So many people are using our modules with satisfaction. You can use this module with many other themes as well

Share this post


Link to post
Share on other sites

4 minutes ago, 904611_1508423584 said:

Hello

Can you help with canonical issue on the smartblog module ?

https://www.shoemaniaq.com/The-Blog/8_sites-pour-acheter-des-air-jordan-1.html

The module displayed the wrong canonical url

 

Thank you

Which version of module you are using latest free or pro.

What is your PrestaShop version.

Thank you 

Share this post


Link to post
Share on other sites

16 minutes ago, 904611_1508423584 said:

Thank you for the fast reply.

Is Paid Version of module is 2.0.2 for prestashop 1.6.1

 

Thanks

 

Thank you for your information. This is old version. Which may be you got with any paid theme which is free version.  You will got update version from our site classydevs.com 

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Hello,

I instaled the SmartBlog Pro module with addons at Presta Shop 1.6 (module version for Presta Shop 1.6). I can't open module configuration page. Im getting an error. Can you fix it and also check if everything else is working properly (adding a post, main page with blog etc.) ? I had an older version of your module installed before , so there may be old posts. Please do not delete them. It is important to me to fix it as soon as possible.

Share this post


Link to post
Share on other sites

7 hours ago, picturewall said:

Hello,

I instaled the SmartBlog Pro module with addons at Presta Shop 1.6 (module version for Presta Shop 1.6). I can't open module configuration page. Im getting an error. Can you fix it and also check if everything else is working properly (adding a post, main page with blog etc.) ? I had an older version of your module installed before , so there may be old posts. Please do not delete them. It is important to me to fix it as soon as possible.

You need to update the 1.6 pro version from our site.

Secondly, fixing client site is paid work. You can hire freelancer or our freelancer team to check and fix technical issues.

For more details contact 

https://support.classydevs.com

Thank you 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More